commit 529b1126534cc664e8f88f028fa56190cc8debf3
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Aug 12 22:06:03 2012 +0200

    updated NEWS file

commit 9d940b7df273544d99d87699986c2eca9e9c4bfd
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Fri Aug 10 21:20:07 2012 +0200

    make sure fd is referenced
    
    file_data_disconnect_sidecar_file may free a fd with zero references
    we have to ref it if we want to use it later

commit ebc790ba2080dc8abd9cc880ead7a0acc120dd64
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Thu Aug 9 17:32:36 2012 +0200

    fixed file_data_check_sidecars
    
    use more clear algorithm:
    if the group has changed
       disconnect everything
       create new group

commit fa99aa221843e0e371edf910a8a39c91451691fb
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Thu Aug 9 17:30:12 2012 +0200

    fixed exif_read_fd
    
    - add fd to cache immediately
    - do not check file presence, the result could be inconsistent with the cache

commit 5ab7044678cf35dff14c06d9031a2791fd563fec
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Tue Aug 7 10:21:29 2012 +0200

    replaced assert with g_assert

commit 5fd7dc2e202ea131aa0d9d399a17066c3be56393
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Aug 5 20:46:05 2012 +0200

    updated README file

commit 672c7918e805f090e7848a9ce62cae61f29652fe
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Aug 5 20:40:07 2012 +0200

    fixed gen_changelog for git

commit 7b53b482ac007e2d2a8bbd27f7c2bee0ed10103c
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Tue Jul 31 19:10:15 2012 +0200

    spec file cleanup

commit 7f398f978cfbbea7b72d714a0e8b595c6f2e833a
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Tue Jul 31 19:09:43 2012 +0200

    use GPLv2 copy with new FSF address

commit 27c86debac68cd20d7e2a7381833f3cf6245b114
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Tue Jul 31 18:20:06 2012 +0200

    renamed zh_CN.GB2312.po to zh_CN.po

commit b286338544a2c60acb1332f3cb90f6b355af00fb
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Tue Jul 31 17:41:47 2012 +0200

    updated version and copyright notice

commit 27bec4237fa34883854d8c83ce1484fcc0aef165
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Mon Jul 30 18:21:13 2012 +0200

    prevent crash in g_utf8_collate_key
    
    https://sourceforge.net/tracker/?func=detail&aid=3330014&group_id=222125&atid=1054680

commit 16bb1afa0623d20923b31c95f4ddf45441b2b5d3
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Mon Jul 30 16:31:04 2012 +0200

    use AC_SYS_LARGEFILE
    
    Subject: Build with large file support
    From: Michal Čihař <nijel@debian.org>
    Forwarded: https://sourceforge.net/tracker/?func=detail&aid=3026317&group_id=222125&atid=1054682

commit 27cdadd96d24077e3bca57ae4f4d2aa97e413612
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Jul 29 19:07:39 2012 +0200

    update file data structure
    
    update file data structure in view_dir_tree when a new directory
    is created

commit 99d04b829d846921ddff3f8d268a8e2f08fe64cd
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Jul 29 19:05:58 2012 +0200

    statusbar fix
    
    make sure layout_status_update_image is called only on valid
    statusbar

commit cce7db24ab6fc622b0b87cbc31d9cd3cf2abb5b1
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Jul 29 15:02:56 2012 +0200

    update statusbar after changing active image
    
    https://sourceforge.net/tracker/?func=detail&aid=3531954&group_id=222125&atid=1054680

commit f4245483e556c3a31ce53f39c4cfa78c805f85ca
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Fri Jul 27 16:28:48 2012 +0200

    changed "readonly destination directory" to a warning

commit 3e0e566eca5097f546eb5989196722ac6c1f732c
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Fri Jul 27 15:03:58 2012 +0200

    fixed bug in cache handling
    
    changed files stayed in cache, but they were reported as not found,
    this caused leaks and crashes
    bug introduced by change of notification function,
    commit 78cde6934008f79fe498e4adc64d187b0ed47417

commit d17c428da1a3a25b1a24f50470f14e98e8cbd226
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Thu Jul 26 16:02:52 2012 +0200

    initialize default options before commandline parsing
    
    this fixes a crash on images specified on commandline

commit cb758c2979a2a096c45ab0cb691cd063d81ae703
Merge: af76525 6f70188
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Thu May 17 18:28:56 2012 +0100

    Merge commit 'refs/merge-requests/1' of git://gitorious.org/geeqie/geeqie into merge-requests/1
    
    * git://gitorious.org/geeqie/geeqie:
      Ignore duplicates with same path

commit af76525a87cc636cdf7f5454f4e32969ef903534
Merge: 5ef3084 dc3dea1
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Mon May 14 17:33:21 2012 +0100

    Merge remote-tracking branch 'origin/toer'
    
    * origin/toer:
      Complete Swedish translation including bugs based on 55de20b 2010-12-11 version
      Almost complete Swedish translation
      Started with Swedish translation
    
    Merged on request of Tore.

commit 5ef30846a7bc94585771a6d08284b771320b33d4
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Fri Jan 6 02:23:57 2012 +0100

    Fix directory walking bug
    
    There was a annoying bug when walking up more than one directory level.

commit 6f701885de29cc7ce188fdd3be50cdab253d5f98
Author: cybjit <cybjit@gmail.com>
Date:   Mon Apr 25 12:53:35 2011 +0200

    Ignore duplicates with same path

commit ce2d11c4d9df655a4fff053373b724d985a25db0
Author: Vincent Blut <vincent.debian@free.fr>
Date:   Sat Dec 3 15:46:20 2011 +0100

    Various errors in the translation (typo, etc.)
    
    Patch submitted by Vincent Blut that fix some typo in French locales.
    Closes Debian bug #620895.

commit bc3ed05a47d86ee3ec78d166df17d1f446f2d0cd
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Nov 12 11:36:18 2011 +0100

    call size signal indirectly via idle_call
    
    image_loader_size_cb is called from a second thread, so it can't
    use any gtk functions directly or via signals
    this fixes random crashes in gtk code introduced by commit e24281e5

commit 4cbe6b68b12b1102fcdc2dcec99e6b03c74291a1
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Nov 12 11:34:55 2011 +0100

    call log window functions indirectly via idle callbacks

commit 04bb6f2326f58139c22d3bb8de7e639c8efb40ba
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Tue Oct 4 22:09:55 2011 +0200

    rename file_data_new_simple to file_data_new_group, filedata.c cleanup

commit 58e4671ba18ae3b3a996f3f518151fc6fb2bbdf0
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Oct 2 11:55:34 2011 +0200

    recognize all registered extensions, even if they contain dots

commit 52d7c7d5a99e904839c0497f32ca6d2586b9a14f
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Oct 2 11:16:03 2011 +0200

    sidecar_file_priority function is already called with extension as an argument

commit 78cde6934008f79fe498e4adc64d187b0ed47417
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Oct 2 11:12:44 2011 +0200

    call notify functions in in an idle call

commit 5276a3faf1ab551a34acb45e72ae15213a7ccbfc
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Oct 1 23:21:08 2011 +0200

    move the grouping code from file_data_new to filelist_read

commit aff67e653215952b4766cf33bfdfa24cd93949b3
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Oct 1 20:58:34 2011 +0200

    separate function fortesting changed files without sidecars

commit 21a8bc375e28b4950bac3a1a3e1aef1f734d9c63
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Oct 1 17:11:10 2011 +0200

    consistent use of fd->extension

commit e6308d6f082ede8e9d6e57b14806356c8923c65d
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Oct 1 16:31:58 2011 +0200

    simplified grouping of sidecars

commit 18d80ca385e38b3bf9bc4ef36264bb4d430aa1f6
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Fri Sep 30 23:57:31 2011 +0200

    fixed filelist_sort_compare_filedata to not return 0 no different files

commit efc8096527d6f743d17c44b9982616a169973f39
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Fri Sep 30 23:02:26 2011 +0200

    always check for sidecars by readdir

commit 7bb3871e21c03b7103792524458eddf0616880db
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Fri Sep 30 10:54:32 2011 +0200

    do not use FileData entries with empty path

commit 559683ddda8610a986ea1355dc191e8e20f77a23
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Thu Sep 29 17:17:20 2011 +0200

    updated copyright notice

commit 4f028fb255a5edaeb2aec25d2e87ef4b8a2aa44d
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Thu Sep 29 17:14:36 2011 +0200

    added custom tiff loader

commit 25d02a83df709d2852f4cb90867aa261b80280ca
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Thu Sep 29 12:36:08 2011 +0200

    added long-term cache for keywords

commit bdea8db7b066162269cc1d9d09d745983e5fadb0
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Tue Sep 27 22:06:09 2011 +0200

    set stereo.fixed default values to hdmi stereo standard

commit 216a72fa46b4f35d8b4f36dfb7b7a227300faa4c
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Tue Sep 27 22:03:47 2011 +0200

    fixed stereo.fixed preferences

commit 1c4103ded9b34d240b76779d5ea8a5c16bbf1924
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Tue Sep 27 21:12:02 2011 +0200

    fixed stereo_temp_disable functionality

commit f5470bbc26b15ce585c8f1cedfad3adfa611ef85
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Tue Sep 27 10:29:36 2011 +0200

    added panorama .pto file to the list of known files

commit 0736b5d6b3b31bb24531284b44b90b7b225d9e7c
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Fri Jul 29 15:27:09 2011 +0200

    fixed crash on incomplete jpeg file

commit 10f4b603e6b8ad553a7b9c9afb4aa92e43dccae6
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat May 14 22:16:49 2011 +0200

    added Cycle through stereo modes menu entry

commit e9780e09d7e57bd5f5c3594bdd773bb2541ec232
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat May 14 21:53:45 2011 +0200

    do not mix autodetected and user-defined stereo mode

commit c447b43b8f8291da9d941718afaa0b2c9d950efc
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Apr 10 21:11:50 2011 +0200

    more compilation fixes

commit 7a8a4c7e4448572ba18d4ded8cf7e86dbd5bf8e7
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Apr 10 20:30:17 2011 +0200

    compilation fixes

commit 0ec34da9df56efdd6963a0f3569fe24299a8ba0d
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Apr 9 19:27:43 2011 +0200

    fixed libjpeg in autoconf

commit 18f8e33ac8681cd297a980a936bd2ce2467614da
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Apr 9 16:07:31 2011 +0200

    improved mpo parser, consider individual image type code

commit e5235578ba189827610cec22c9ca8bc17c433113
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Fri Apr 8 21:16:41 2011 +0200

    fixed to compile with other libjpeg versions

commit dd008ca74ba4a924b202021a7d0dbd11cf0dc542
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Mar 27 19:22:29 2011 +0200

    allocate tile pixbuf allways

commit 43b479c1042930d616cb4c8fb9e80ee5fd0900ec
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Mar 27 18:20:19 2011 +0200

    updated copyright notices

commit a7efe96305e0e1847c2e20b119c86cac03fd9e56
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Mar 27 18:14:17 2011 +0200

    free mpo data

commit 85dbc07da126d6229f37821e5dd49c3b8546e80e
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Mar 27 13:53:23 2011 +0200

    fixed jpeg_segment_find to support more app2 segments with different signatures

commit c2378af08d9bb0b9ee1f958c9a4b50bc65abbed8
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Mar 27 12:52:09 2011 +0200

    store stereo flag in loader data

commit 2f3197170c42959552141b2600c9d828542792a8
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Mar 27 12:02:30 2011 +0200

    fixed freed data access

commit 091dae0b7d6e602da76f624ddac3e335e262e1fa
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Mar 27 11:58:29 2011 +0200

    load mpo files as SBS

commit c546114c635f93ff254b4d479a1b6370377d054b
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Mar 27 10:57:08 2011 +0200

    added mpo parser

commit 3b1800b11fd5f98ce268b358f17585d43641c3ea
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Mar 26 22:13:39 2011 +0100

    split jpeg parser functions to separate file

commit ec75c814d6f79ec16426ee40aacbf7d0aded8e41
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Mar 26 22:03:30 2011 +0100

    added custom jpeg loader

commit b5b810393f0fae5071a0263db376dadaf595d4c5
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Mar 26 17:57:25 2011 +0100

    infrastructure for image loader backend

commit 09037ad50bd7a839794df37034bcd3dd378cab13
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Fri Mar 25 23:25:15 2011 +0100

    renderer interface cleanup

commit c9965882aeed23e72cf019f6d3859a69d1d4aebd
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Fri Mar 25 23:14:01 2011 +0100

    fixed redrawing on expose event

commit a5a53debed949e9511e6e6fcd454aa324334a8cf
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Fri Mar 25 22:09:59 2011 +0100

    fixed area_changed handling

commit 8a3733bbabbca537e1f741984fa8b5e94cca08c6
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Mar 20 19:16:07 2011 +0100

    added more anaglyph modes

commit 19f041e7e105a568a57b22cc36e30590ccc75de7
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Mar 20 12:49:00 2011 +0100

    added half-size (3dtv) stereo mode

commit 797e4dbd59e944c3d3b78d25b44dfe7ae8bb287e
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Mar 20 11:31:08 2011 +0100

    fixed sbs mode

commit e82e902ed059b5ed4e12a1c48e816cdf3c514940
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Mar 20 11:11:08 2011 +0100

    save and load stereo options

commit f2ee23371ea8a95eb54cd39bf191e658f99cae7e
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Mar 20 10:52:41 2011 +0100

    improved preferences dialog

commit bd4b6cfb641e52f646931b69ddccbcacb0f85a5f
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Mar 20 10:15:07 2011 +0100

    added fixed stereo mode

commit 826ea8c822093a131c5c44c9c02252aff5d60d2e
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Mar 20 00:23:54 2011 +0100

    removed 'swap' entry from menu

commit 28fd30edc8bf0a4d0a62c2732d37f512affaf87b
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Mar 20 00:18:13 2011 +0100

    temporarily disable stereo mode, added more stereo prefs

commit 623bc05945e68c9242a69290de12501435a1bc18
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Mar 19 21:42:13 2011 +0100

    type of source stereo image made adjustable from menu

commit bab7032f6f11847e68ce1ac42d68a18d50aed220
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Mar 19 19:53:30 2011 +0100

    stereo mode preferences

commit f5f37819bf9ede89c68114b079feb24d19e49343
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Feb 5 22:22:12 2011 +0100

    change stereo mode from menu

commit 68dc88956d7b42a3ced0e0256d075307e866494f
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Feb 5 18:20:16 2011 +0100

    swap stereo images

commit 8ea74ae53b6c32d3d5492340fe16fdeeedd12f26
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Fri Feb 4 23:49:13 2011 +0100

    added mirrored stereo mode

commit 086196582749a9f9fd254399665c56a892348ce3
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Jan 29 17:43:05 2011 +0100

    fixed overlay position - part2

commit a081296160a39396e395eab36c091cddfb9f216e
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Jan 29 17:35:29 2011 +0100

    fixed overlay position

commit cb324a14505d277f8c2def3512e71f64d151531b
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Jan 29 17:15:39 2011 +0100

    do not draw tiles outside the viewport

commit 589a4cb49ae1b9c0a8618ca3918a579ef9e517ae
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Jan 29 14:49:38 2011 +0100

    display pixel aspect ratio support

commit 0a5ec68af089d4b79c3816d3e7df0434ea0ad5e8
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Fri Jan 28 14:34:57 2011 +0100

    anaglyph support

commit fa7103087ac4eaf5d2ddd560fa472d4c4d8a1fa2
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Fri Jan 28 13:13:27 2011 +0100

    rt_tile_render cleanup part 3

commit 3dd0e08368b389250b15790036be7f00075a1d74
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Fri Jan 28 13:05:14 2011 +0100

    rt_tile_render cleanup part 2

commit 808d8558b3d5e2ec8791ca3ea2a0ba14e5e18823
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Fri Jan 28 12:44:32 2011 +0100

    rt_tile_render cleanup part 1

commit 6b9ed5a71fc7230c795e4edd541fb79a5d022220
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Fri Jan 28 11:05:07 2011 +0100

    first stereo support

commit 63fdb63ce1470f08c4be2d7a2ff02582c331560e
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Thu Jan 27 13:40:05 2011 +0100

    separated tile renderer

commit a8c5cb269996f35d4877e31514956c198c3bd2e5
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Mon Sep 26 15:02:05 2011 +0200

    ignore raw image support reported by the pixbuf loader

commit d2c78b7a8dadc45b958e1b74242d64766e9f6e9f
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sat Apr 9 16:38:46 2011 +0200

    fixed using DEBUG_N from multiple threads

commit 8a55b69211b5866025f66c514f34ad697d3d1909
Author: Laurent Monin <geeqie@norz.org>
Date:   Thu Dec 16 22:26:36 2010 +0100

    Fix bug 3006812: ensure exif cache is initialized even when all files are unreadable.
    
    Add a new function exif_init_cache() and call it at top of exif_read_fd(),
    the issue was caused by a return NULL on unreadable file, before initializinf exif_cache
    and when exif_free_fd() is called, file_cache_put() was called on invalid cache.

commit 138e31f328408ac88f1162999c8fcb24298ab37a
Author: Vladislav Naumov <vnaum@vnaum.com>
Date:   Thu Dec 16 21:55:03 2010 +0100

    Fix bug 2999830: do not report failed chown() on copy.
    
    Debian bug 574853 reported by Ian Zimmerman <itz@buug.org>
    
    I was trying to copy images from my camera which is mounted as a USB
    mass storage device.  The files on the mount are owned by root, and
    geeqie tries to chown (and chgrp) the copy, fails, and displays an
    error message.  This is only mildly annoying when copying a single
    file, but when I want to copy multiple files the failure stops the
    operation after the first file.
    
    Patch by Vladislav Naumov <vnaum@vnaum.com>
    
    This patch ignores chown errors, while still doing chown
    (so root still can copy files preserving ownership).
    
    http://sourceforge.net/tracker/?func=detail&aid=2999830&group_id=222125&atid=1054680
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=574853 (original report)

commit bd374b070d437d6319946c49ae0166ee4621e737
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Jul 24 13:17:34 2011 +0100

    Change the image size from 10×20 to 20×20
    
    Now the image should not be scaled anymore. Fix Bug Debian:614607 and
    SF:3191174.

commit 8f9ba4127954be5e04ac4c8b1822399a435af1ed
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun May 15 19:44:04 2011 +0100

    Fix a remote command bug

commit 31f6b82dbee7f4456371a1b527161ebc81342577
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sat Apr 9 19:47:30 2011 +0100

    Do not delete path settings when adding new directory
    
    This patch will change the way, geeqie is mangling the path name in the
    rename (copy) dialog when creating new directory. Will fix the bugs
    Debian:529531 and SF:2795791.

commit a4270acba9810bb6307e7d8da1334211898d8fb5
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Fri Jul 16 13:30:53 2010 +0100

    Fix compiling issue
    
    img-view.c: In function 'real_view_window_new':
    img-view.c:889: error: 'for' loop initial declarations are only allowed in C99 mode
    img-view.c:889: note: use option -std=c99 or -std=gnu99 to compile your code

commit e24281e5b7b6a70c47eeb46c4857913b5eec10a8
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sat May 8 23:52:09 2010 +0100

    Fix the windowsize
    
    Opening a new window from a collection should not set the default size.
    Unfortunately the size of the image is not available in the early state.

commit c971abea1cfb4b4d85e1c67dba2d443ebd5e9f86
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Thu Apr 21 18:44:15 2011 +0100

    Fix wrong line ending

commit dc3dea1297365981d2e206fd8afbb84a781ced20
Author: Tore Ericsson <tore.ericsson@telia.com>
Date:   Mon Feb 14 21:21:55 2011 +0100

    Complete Swedish translation including bugs based on 55de20b 2010-12-11 version

commit 236bc4c0e943f91e022c1c792a0267688e492f1d
Author: Tore Ericsson <tore.ericsson@telia.com>
Date:   Mon Feb 14 15:04:07 2011 +0100

    Almost complete Swedish translation
    
    Could not translate dialogue button texts, such as Apply, Close, Cancel, New,
    Edit, Delete, etc. Also remains three entries where I don't know the meaning
    on lines 1550, 1558, and 5229. The English text seems to be completely out of
    order on lines 5601 and 5606. -- Note also: The first cache path in the
    thumbnail dialogue window appears having a duplication error.

commit 8c25cb5a376d19f3db0b5d8b98a4c16fa8799e9e
Author: Tore Ericsson <tore.ericsson@telia.com>
Date:   Mon Feb 14 14:51:44 2011 +0100

    Started with Swedish translation

commit 55de20b6bd7a666ab63ee9d1f60e8fd1833a74c5
Author: Laurent Monin <geeqie@norz.org>
Date:   Sat Dec 11 20:09:43 2010 +0100

    Convert svn:ignore properties to .gitignore
    
    Simplify .gitignore and add few forgotten entries

commit b71da225f077c5268a525886967be68739c5be94
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Mon May 10 11:33:13 2010 +0000

    Some small logic mistakes
    
    Use boolean operators for booleans and bitwise otherwise only.

commit dd54e571eb1cd5ffc55a97edecc777180d0dddb4
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Mon May 10 11:32:56 2010 +0000

    GTK marks several functions as deprecated
    
    The following functions has been replaced and deprecated by version
    2.20:
       - GTK_WIDGET_CAN_FOCUS
       - GTK_WIDGET_DRAWABLE
       - GTK_WIDGET_HAS_FOCUS
       - GTK_WIDGET_HAS_GRAB
       - GTK_WIDGET_IS_SENSITIVE
       - GTK_WIDGET_NO_WINDOW
       - GTK_WIDGET_REALIZED
       - GTK_WIDGET_SENSITIVE
       - GTK_WIDGET_STATE
       - GTK_WIDGET_TOPLEVEL
       - GTK_WIDGET_VISIBLE

commit 7a426d74379c2728ffe2bd0b5a33fd9bb473d7fb
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Feb 28 22:55:37 2010 +0000

    Add unknown file class to grouping

commit b71f37b8dbfd89c79a407698293cc3de44b4f645
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sun Feb 28 15:17:12 2010 +0000

    Fix a small issue with strptime
    
    strptime do not initialize all fields. So the undefined fields could end
    in crash later on.

commit fc390bb82685262d7fc073f0571e39c2fcc1c8c3
Author: Laurent Monin <geeqie@norz.org>
Date:   Sat Feb 27 23:31:07 2010 +0000

    Allow scrollview to grow when generic dialog is resized (ie. Metadata write ? dialog). Do not force scrollbar if not needed.

commit 34c581a990f3b8f76084e0379282cb6bf8eb9606
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sat Feb 27 20:35:26 2010 +0000

    Add the feature to add single keywords to selection
    
    This patch adds a context menu entry to keywords to ad the current
    keyword to all selected images.

commit bbcf58c3c476cbff706e04295c028da8239d3e70
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sat Feb 27 20:35:09 2010 +0000

    Little macro correction

commit de8ed72a941ef92c51ceca084b66dc7828cb90ab
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Sat Feb 27 20:34:54 2010 +0000

    Unifying the datetime output
    
    The output of %date% and %formatted.DateTime% should be equivalent.

commit 7cabd51896c7a9411de0336ade042f4e726fe3e1
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Wed Feb 17 21:05:10 2010 +0000

    updated ChangeLog file

commit c704896fdb0d0d5b5e2d2205c9d57a4382d343d7
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Tue Feb 16 21:18:03 2010 +0000

    added 2010 to copyright text

commit 7bea2e9641e42a79bf6bc89a7b9d86d68e671b87
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Tue Feb 16 21:10:12 2010 +0000

    updated version string

commit 43c48179f5b7249ea13b918d0e6cdb156ce3011f
Author: Laurent Monin <geeqie@norz.org>
Date:   Tue Feb 16 20:07:05 2010 +0000

    Restore translators list, removed by revision 1899.

commit 113b2377405d3652e66bb547bdf58f981ef6f606
Author: Laurent Monin <geeqie@norz.org>
Date:   Tue Feb 16 19:55:35 2010 +0000

    Update russian translation. Thanks to Denis Silakov.

commit 4261dfa3f5aaf091e97daeb0f99dd020672fe37b
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Feb 14 22:00:23 2010 +0000

    fixed segfault in exif parser
    
    http://sourceforge.net/tracker/index.php?func=detail&aid=2950617&group_id=222125&atid=1054682

commit b6a2a9d69377da28b4dacdc3630e68e5cb7869ef
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Feb 14 21:35:11 2010 +0000

    fixed reference count
    
    there was a bug in reference count on writting unsaved metadata
    before starting an external editor

commit aa1e53ca14dcd9a75a717792be8a4d5fc735a5eb
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Feb 7 13:16:35 2010 +0000

    test gnome-doc-tool in configure

commit 78b77ae3833bfa191aa94531e5b5ba0765b0cc6e
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Sun Feb 7 12:44:55 2010 +0000

    dropped obsolete sections, gqview changelog moved to wiki

commit f977ad15657970ebb4621ba46e005cefc0b218ae
Author: Laurent Monin <geeqie@norz.org>
Date:   Tue Feb 2 20:21:11 2010 +0000

    Brazilian Portuguese translation was updated.
    
    Thanks to Sergio Cipolla.
    
    References:
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=567824

commit 0e32e4d57426c075fa4d9f3cee75c5bdd897df48
Author: Vladimir Nadvornik <nadvornik@suse.cz>
Date:   Wed Jan 27 22:27:10 2010 +0000

    czech translation fixes

commit b015822f5751b6ad105ad607d196320574d30806
Author: Laurent Monin <geeqie@norz.org>
Date:   Wed Jan 27 19:58:11 2010 +0000

    Update catalan translation, by angel mompo.

commit 6088a5dd735b2bea2b1a8b4606b3c32e89b86999
Author: Laurent Monin <geeqie@norz.org>
Date:   Sun Jan 17 13:34:48 2010 +0000

    Fix osd zoom level refreshing (it was broken since some times).

commit 615b0fbae5303c71ce20356036d89d8d5a23261e
Author: Laurent Monin <geeqie@norz.org>
Date:   Wed Jan 13 19:49:39 2010 +0000

    Update dutch translation. Work in progress.
    
    Patch by Marcel Pol.

commit 141a854c9b4b80132cb0be2cfd45122e41157531
Author: Klaus Ethgen <Klaus@Ethgen.de>
Date:   Mon Jan 11 14:10:49 2010 +0000

    Wops, typo...

commit 36ee9c9dcd360e1d6847f4fd9b899c70875cc23f
Author: Laurent Monin <geeqie@norz.org>
Date:   Sun Jan 10 14:23:29 2010 +0000

    copy_file(): remove incomplete file on error (bug 2890715)
    
    The behavior changed, data is first written to a temporary file,
    which is unlinked in case of error, then the tempfile is renamed
    to the final name.
    Size of buffer was increased from 4k to 16k.

commit 8ce20c203c0b7e91eed065d5163bd2ad8e183eb3
Author: Laurent Monin <geeqie@norz.org>
Date:   Sat Jan 9 11:44:27 2010 +0000

    Workaround intltoolize 0.40.6 bug related to LINGUAS, see bug 2817602.

commit 5a1662366440a908c9af77b57ccd00472ea0d3cc
Author: Laurent Monin <geeqie@norz.org>
Date:   Sat Jan 9 10:37:48 2010 +0000

    Log a message when EOVERFLOW error is set by stat() when building files lists. See bug 2876142.

commit a1c2ef4506fae105f7ca76463fe21c84bd283cb3
Author: Laurent Monin <geeqie@norz.org>
Date:   Tue Jan 5 22:28:11 2010 +0000

    Add Serbian translation.
    
    Note there are two *.po files, one for Cyrilic and one for Latin
    letters.
    
    Thanks to Milos Popovic.

commit 59801852932ec6a13f43b1e3f4beb42631906070
Author: Laurent Monin <geeqie@norz.org>
Date:   Tue Jan 5 22:26:03 2010 +0000

    Update README about translations.

commit f9feac4ff37cc70a0b601c1e839f4e37ff2b5072
Author: Laurent Monin <geeqie@norz.org>
Date:   Tue Jan 5 17:49:50 2010 +0000

    Allow to switch to fullscreen mode using LIRC.
    
    Imagine the following situation (which happened to me several times) :
    you want to see photos from your bed or your sofa so you launch geeqie
    and go to the right directory, then you take your remote control and sit
    comfortably far from your keyboard and mouse. And when you want to begin
    to watch photos, you realize you forgot to enable full screen! You have
    to stand up and to go until your computer and come back, whereas you
    could have done it with your remote control.
    
    Patch by Bernard Massot.

commit f1c7e5da546938446317b7af5ca2c06996bed93a
Author: Laurent Monin <geeqie@norz.org>
Date:   Sat Jan 2 12:38:55 2010 +0000

    Get rid of Geeqie version and beta release message. It clutters command line usage, and is not that useful. Suggested by Michal Čihař.

commit bd34c324c92456f5182579d6922d7aba664f93c3
Author: Laurent Monin <geeqie@norz.org>
Date:   Sat Dec 19 12:53:20 2009 +0000

    Fix bug 2917164.
    g_utf8_collate_key_for_filename() don't give sort order one
    may expect. Using g_utf8_collate_key() make things closer
    to many other programs output (ie. ls and gqview).
    
    Thanks to Michael pointing this out.

commit 99766f9e671fc24106db4104fa468192686e5629
Author: Laurent Monin <geeqie@norz.org>
Date:   Sat Dec 19 12:49:19 2009 +0000

    Store sort parameters in appropriate variables.

commit 7ec5e57c11590f5d44bb96865e279de8d03c49cf
Author: Laurent Monin <geeqie@norz.org>
Date:   Thu Dec 10 17:48:43 2009 +0000

    Move "Add Keyword" menu item at top of Keywords bar contextual menu.
    
    Suggested by Lars Täuber.

commit e6fe9db8a728c2188e7276f3cea001981120ed80
Author: Laurent Monin <geeqie@norz.org>
Date:   Thu Dec 10 17:44:31 2009 +0000

    Fix contextual menus in lateral bars.
    
    Use button_release_event instead of button_press_event,
    this makes contextual menus persistent until an option
    is selected or the menu is closed.

commit 17f461e047e39b2e6ddfc82192aeb71db32c326d
Author: Laurent Monin <geeqie@norz.org>
Date:   Fri Dec 4 21:01:11 2009 +0000

    Some systems do not have SA_SIGINFO (siginfo_t), like GNU/Hurd, so just test if defined or not. Patch by Michal Čihař (Bug ID: 2894271).

commit 4bbf6df484aa38c0919ef1c12f25a61e7cb2857b
Author: Laurent Monin <geeqie@norz.org>
Date:   Fri Dec 4 20:40:02 2009 +0000

    Editors: disable Delete button if a .desktop file is not writeable and disable Edit button when no entry is selected.

commit 4ba3a4841437e510a1c2904ac2991debb2d1071a
Author: Laurent Monin <geeqie@norz.org>
Date:   Fri Dec 4 19:45:09 2009 +0000
